Package org.osgi.service.url

# Interface URLConstants

@ProviderType public interface URLConstants
Defines standard names for property keys associated with `URLStreamHandlerService` and `java.net.ContentHandler` services.

The values associated with these keys are of type `java.lang.String[]` or `java.lang.String`, unless otherwise indicated.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`URL_CONTENT_MIMETYPE`
Service property naming the MIME types serviced by a java.net.ContentHandler.
`static final String`
`URL_HANDLER_PROTOCOL`
Service property naming the protocols serviced by a URLStreamHandlerService.

## Field Details

### URL_HANDLER_PROTOCOL

static final String URL_HANDLER_PROTOCOL
Service property naming the protocols serviced by a URLStreamHandlerService. The property's value is a protocol name or an array of protocol names.

See Also:
  - Constant Field Values

### URL_CONTENT_MIMETYPE

static final String URL_CONTENT_MIMETYPE
Service property naming the MIME types serviced by a java.net.ContentHandler. The property's value is a MIME type or an array of MIME types.

See Also:
  - Constant Field Values